#!/usr/bin/env python

#
# DM exception map
#

#######################################################################

from dm.common.constants import dmStatus

exceptionMap = {
    dmStatus.DM_ERROR : 'dmException.DmException',
    dmStatus.DM_CONFIGURATION_ERROR : 'configurationError.ConfigurationError',
    dmStatus.DM_INTERNAL_ERROR : 'internalError.InternalError',
    dmStatus.DM_INVALID_ARGUMENT_ERROR : 'invalidArgument.InvalidArgument',
    dmStatus.DM_INVALID_REQUEST_ERROR : 'invalidRequest.InvalidRequest',
    dmStatus.DM_COMMAND_FAILED_ERROR : 'commandFailed.CommandFailed',
}

#######################################################################
# Testing

if __name__ == '__main__':
    for item in exceptionMap.items():
        print item

